Workspace Notification Recipient Email - Create Or Update

Hiermee voegt u het e-mailadres toe aan de lijst met geadresseerden voor de melding.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiManagement/service/{serviceName}/workspaces/{workspaceId}/notifications/{notificationName}/recipientEmails/{email}?api-version=2024-05-01

URI-parameters

Name In Vereist Type Description
email
path True

string

E-mail-id.

notificationName
path True

NotificationName

Meldingsnaam-id.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is niet hoofdlettergevoelig.

serviceName
path True

string

minLength: 1
maxLength: 50
pattern: ^[a-zA-Z](?:[a-zA-Z0-9-]*[a-zA-Z0-9])?$

De naam van de API Management-service.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

workspaceId
path True

string

minLength: 1
maxLength: 80
pattern: ^[^*#&+:<>?]+$

Werkruimte-id. Moet uniek zijn in het huidige EXEMPLAAR van de API Management-service.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

RecipientEmailContract

E-mail van geadresseerde maakt al deel uit van de lijst met meldingen.

201 Created

RecipientEmailContract

E-mailadres van geadresseerde is toegevoegd aan de lijst met meldingen.

Other Status Codes

ErrorResponse

Foutreactie waarin wordt beschreven waarom de bewerking is mislukt.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

ApiManagementCreateWorkspaceNotificationRecipientEmail

Voorbeeldaanvraag

PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/workspaces/wks1/notifications/RequestPublisherNotificationMessage/recipientEmails/foobar@live.com?api-version=2024-05-01

Voorbeeldrespons

{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/workspaces/wks1/notifications/RequestPublisherNotificationMessage/recipientEmails/foobar@live.com",
  "type": "Microsoft.ApiManagement/service/workspaces/notifications/recipientEmails",
  "name": "foobar@live.com",
  "properties": {
    "email": "foobar@live.com"
  }
}
{
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.ApiManagement/service/apimService1/workspaces/wks1/notifications/RequestPublisherNotificationMessage/recipientEmails/foobar@live.com",
  "type": "Microsoft.ApiManagement/service/workspaces/notifications/recipientEmails",
  "name": "foobar@live.com",
  "properties": {
    "email": "foobar@live.com"
  }
}

Definities

Name Description
ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

ErrorDetail

De foutdetails.

ErrorResponse

Foutreactie

NotificationName

Meldingsnaam-id.

RecipientEmailContract

E-maildetails van geadresseerde.

ErrorAdditionalInfo

Aanvullende informatie over de resourcebeheerfout.

Name Type Description
info

object

De aanvullende informatie.

type

string

Het extra informatietype.

ErrorDetail

De foutdetails.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

De fout bevat aanvullende informatie.

code

string

De foutcode.

details

ErrorDetail[]

De foutdetails.

message

string

Het foutbericht.

target

string

Het foutdoel.

ErrorResponse

Foutreactie

Name Type Description
error

ErrorDetail

Het foutobject.

NotificationName

Meldingsnaam-id.

Waarde Description
RequestPublisherNotificationMessage

De volgende e-mailontvangers en gebruikers ontvangen e-mailmeldingen over abonnementsaanvragen voor API-producten waarvoor goedkeuring is vereist.

PurchasePublisherNotificationMessage

De volgende e-mailontvangers en gebruikers ontvangen e-mailmeldingen over nieuwe API-productabonnementen.

NewApplicationNotificationMessage

De volgende e-mailontvangers en gebruikers ontvangen e-mailmeldingen wanneer nieuwe toepassingen worden verzonden naar de toepassingsgalerie.

BCC

De volgende ontvangers ontvangen blind carbon kopieën van alle e-mailberichten die naar ontwikkelaars worden verzonden.

NewIssuePublisherNotificationMessage

De volgende e-mailontvangers en gebruikers ontvangen e-mailmeldingen wanneer er een nieuw probleem of opmerking wordt verzonden in de ontwikkelaarsportal.

AccountClosedPublisher

De volgende e-mailontvangers en gebruikers ontvangen e-mailmeldingen wanneer de ontwikkelaar zijn account sluit.

QuotaLimitApproachingPublisherNotificationMessage

De volgende e-mailontvangers en gebruikers ontvangen e-mailmeldingen wanneer het gebruik van het abonnement dicht bij het gebruiksquotum komt.

RecipientEmailContract

E-maildetails van geadresseerde.

Name Type Description
id

string

Volledig gekwalificeerde resource-id voor de resource. Vb.: - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

name

string

De naam van de resource

properties.email

string

Gebruikers-e-mail geabonneerd op melding.

type

string

Het type resource. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'